name := """SubCluEns"""

version := "1.0"

scalaVersion := "2.11.8"

scalacOptions ++= Seq( "-Xlint","-unchecked","-feature") //"-deprecation", "-Xfatal-warnings"

resolvers += 
  "Sonatype OSS Snapshots" at "https://oss.sonatype.org/content/repositories/snapshots"

libraryDependencies += "org.scalatest" %% "scalatest" % "2.2.4" % "test"

libraryDependencies += "com.github.pathikrit" %% "better-files" % "2.16.0"

libraryDependencies += "com.typesafe.scala-logging" %% "scala-logging" % "3.1.0"
 
libraryDependencies += "ch.qos.logback" % "logback-classic" % "1.1.2"

fork in run := true

javaOptions in run += "-Xmx20G"
